Bug 252796 - www/youtube_dlc: Update to 2021.01.16
Summary: www/youtube_dlc: Update to 2021.01.16
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://github.com/pukkandan/yt-dlp/r...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-18 08:50 UTC by daniel.engberg.lists
Modified: 2021-01-22 07:52 UTC (History)
1 user (show)

See Also:
tcberner: maintainer-feedback+


Attachments
Patch for youtube_dlc (13.03 KB, patch)
2021-01-18 08:50 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2021-01-18 08:50:59 UTC
Created attachment 221697 [details]
Patch for youtube_dlc

Update to version 2021.01.16
Switch to active fork pukkandan/yt-dlp

Compile and run-tested on FreeBSD 13.0-CURRENT main-c1-g63f93c7e1 (amd64) (make, make check-plist)
Poudriere testport OK 12.2-RELEASE (amd64)
Comment 1 Tobias C. Berner freebsd_committer 2021-01-22 07:51:32 UTC
Committed, thanks.
Comment 2 commit-hook freebsd_committer 2021-01-22 07:52:21 UTC
A commit references this bug:

Author: tcberner
Date: Fri Jan 22 07:51:25 UTC 2021
New revision: 562278
URL: https://svnweb.freebsd.org/changeset/ports/562278

Log:
  www/youtube_dlc: Update to 2021.01.16

  - switch to different fork, as the previous one is MIA [1]

  [1] https://github.com/blackjack4494/yt-dlc/issues/289

  PR:		252796
  Submitted by:	daniel.engberg.lists@pyret.net

Changes:
  head/www/youtube_dlc/Makefile
  head/www/youtube_dlc/distinfo
  head/www/youtube_dlc/files/extrapatch-manpages
  head/www/youtube_dlc/files/patch-Makefile
  head/www/youtube_dlc/files/patch-youtube__dlc_____init____.py
  head/www/youtube_dlc/files/patch-youtube__dlc_options.py
  head/www/youtube_dlc/pkg-plist